GET
/v1/sync_jobs/{id}The Sync Job object
A detailed look at the Sync Job object and its attributes.
A sync job represents a single order synchronization task between a reseller store and a source store. Jobs progress through a status lifecycle:
- pending — Queued for processing
- processing — Currently being processed by a worker
- completed — Successfully synced the order to the source store
- failed — Processing failed (will be retried up to 3 times)
- dead — Failed after all retry attempts (requires manual retry)
The Sync Job object
id string REQUIRED resellerStoreId string REQUIRED sourceStoreId string REQUIRED status string REQUIRED Possible enum values:
- •
pending - •
processing - •
completed - •
failed - •
dead
attempts number REQUIRED externalOrderId string REQUIRED sourceOrderId string NULLABLE errorMessage string NULLABLE completedAt string (date-time) NULLABLE format: date-time
failedAt string (date-time) NULLABLE format: date-time
deadAt string (date-time) NULLABLE format: date-time
createdAt string (date-time) REQUIRED format: date-time
updatedAt string (date-time) REQUIRED format: date-time
request_id string REQUIRED Response
{
"id": "example_id",
"resellerStoreId": "example_resellerStoreId",
"sourceStoreId": "example_sourceStoreId",
"status": "pending",
"attempts": 0,
"externalOrderId": "example_externalOrderId",
"sourceOrderId": "example_sourceOrderId",
"errorMessage": "example_errorMessage",
"completedAt": "example_completedAt",
"failedAt": "example_failedAt",
"deadAt": "example_deadAt",
"createdAt": "example_createdAt",
"updatedAt": "example_updatedAt",
"request_id": "example_request_id"
}